# Copyright (C) 2006, 2007, 2008, 2009, 2010 Simon Josefsson
#
# This file is part of GNU SASL Library.
#
# GNU SASL Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# as published by the Free Software Foundation; either version 2.1 of
# the License, or (at your option) any later version.
#
# GNU SASL Library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with GNU SASL Library; if not, write to the Free
# Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.

INDENT_SOURCES = `find . -name '*.[chly]' | grep -v -e ^./gl -e ^./build-aux -e ^./win32`

ifeq ($(.DEFAULT_GOAL),abort-due-to-no-makefile)
.DEFAULT_GOAL := bootstrap
endif

ifeq ($(PACKAGE),)
PACKAGE := libgsasl
endif

autoreconf:
	for f in po/*.po.in; do \
		cp $$f `echo $$f | sed 's/.in//'`; \
	done
	mv build-aux/config.rpath build-aux/config.rpath-
	test -f ./configure || autoreconf --install
	mv build-aux/config.rpath- build-aux/config.rpath

bootstrap: autoreconf
	./configure $(CFGFLAGS)

ChangeLog:
	git2cl > ChangeLog
	cat ../.clcopying >> ChangeLog

prepare:
	rm -f ChangeLog
	$(MAKE) ChangeLog distcheck
	git commit -m Generated. ChangeLog

upload:
	gnupload --to alpha.gnu.org:gsasl $(distdir).tar.gz
	cp -v $(distdir).tar.gz $(distdir).tar.gz.sig ../../releases/gsasl/
